Package bitel.billing.server.admin.bean

# Class PaymentAndChargeTypeManager

java.lang.Object
bitel.billing.server.admin.bean.PaymentAndChargeTypeManager

@Deprecated public class PaymentAndChargeTypeManager extends Object
Deprecated.
Исплользовать PaymentTypeDao или ChargeTypeDao если нужно прямое обращение к базе, если же нужны просто сами типы, то вытаскивать через справочники: getDirectory( ChargeType.class, -1, true ) или так getDirectory( ChargeType.class ) в клиенте, точно так же и с payment.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `FLAG_EDITABLE`
  Deprecated.
  `static final int`
  `FLAG_NOTEDITABLE`
  Deprecated.
  `static final int`
  `TYPE_BRANCH`
  Deprecated.
  `static final int`
  `TYPE_LEAF`
  Deprecated.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PaymentAndChargeTypeManager(Connection con)`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getChargeTitleById(int chid)`
  Deprecated.
  `String`
  `getChargeTitleByID(int chid)`
  Deprecated.
  `List<IdTitle>`
  `getChargeTypes(Integer flag)`
  Deprecated.
  `List<ChargeType>`
  `getChargeTypes(Integer flag, Integer type)`
  Deprecated.
  `protected Map<String,String>`
  `getPaymentOrChargeTypes(int mode)`
  Deprecated.
  Мэп типов приходов/расходов.
  `String`
  `getPaymentTitleById(int pid)`
  Deprecated.
  `String`
  `getPaymentTitleByID(int pid)`
  Deprecated.
  `List<IdTitle>`
  `getPaymentTypes(Integer flag)`
  Deprecated.
  Мэп типов платежей.
  `List<PaymentType>`
  `getPaymentTypes(Integer flag, Integer type)`
  Deprecated.
  `boolean`
  `isPaymentTypeExists(int id)`
  Deprecated.
  Использовать directory, если вернет null, значит не существует.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### FLAG_EDITABLE

    public static final int FLAG_EDITABLE
    Deprecated.
    See Also:
      - Constant Field Values

  - ### FLAG_NOTEDITABLE

    public static final int FLAG_NOTEDITABLE
    Deprecated.
    See Also:
      - Constant Field Values

  - ### TYPE_BRANCH

    public static final int TYPE_BRANCH
    Deprecated.
    See Also:
      - Constant Field Values

  - ### TYPE_LEAF

    public static final int TYPE_LEAF
    Deprecated.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PaymentAndChargeTypeManager

    public PaymentAndChargeTypeManager(Connection con)
    Deprecated.

- ## Method Details

  - ### getPaymentOrChargeTypes

    protected Map<String,String> getPaymentOrChargeTypes(int mode) throws SQLException
    Deprecated.
    Мэп типов приходов/расходов. Берутся все, со всеми type и flag
    Parameters:
      `mode` - 0 - contract_payment_types, 1,(+ещё?) - contract_charge_types
    Returns:
      мэп(ид=>заголовок)
    Throws:
      `SQLException`

  - ### getChargeTypes

    public List<IdTitle> getChargeTypes(Integer flag) throws SQLException
    Deprecated.
    Throws:
      `SQLException`

  - ### getChargeTypes

    public List<ChargeType> getChargeTypes(Integer flag, Integer type)
    Deprecated.

  - ### getPaymentTypes

    public List<IdTitle> getPaymentTypes(Integer flag) throws SQLException
    Deprecated.
    Мэп типов платежей. Возвращается только type=0.
    Parameters:
      `flag` - если не null то возвращается только с указанным флагом
    Returns:
      мэп(ид=>заголовок)
    Throws:
      `SQLException`

  - ### getPaymentTypes

    public List<PaymentType> getPaymentTypes(Integer flag, Integer type) throws SQLException
    Deprecated.
    Throws:
      `SQLException`

  - ### getChargeTitleById

    public String getChargeTitleById(int chid)
    Deprecated.

  - ### getChargeTitleByID

    @Deprecated public String getChargeTitleByID(int chid) throws SQLException
    Deprecated.
    Использовать `getChargeTitleById(int)`.
    Parameters:
      `chid` -
    Returns:
    Throws:
      `SQLException`

  - ### getPaymentTitleById

    public String getPaymentTitleById(int pid) throws SQLException
    Deprecated.
    Throws:
      `SQLException`

  - ### getPaymentTitleByID

    @Deprecated public String getPaymentTitleByID(int pid) throws SQLException
    Deprecated.
    Использовать `getPaymentTitleById(int)`.
    Parameters:
      `pid` -
    Returns:
    Throws:
      `SQLException`

  - ### isPaymentTypeExists

    public boolean isPaymentTypeExists(int id)
    Deprecated.
    Использовать directory, если вернет null, значит не существует. Проверяет, существует ли данный тип платежа.
    Parameters:
      `id` - код типа платежа
    Returns:
      true - если существует